RAM Def XT Help

RAM Def XT Help Files

Introduction

This section provides the starting point of the help files.

Welcome
A small welcome note which contains some useful links
System Requirements
What software and hardware components are required to run RAM Def


Welcome

Welcome to the RAM Def help files. This documentation was designed to assist you at any time, provide detailed information about RAM Def usage, solutions to common problems, and answers to frequently asked questions.

To view the contents of a section, click its name in the navigation pane to the left.

Common topics:

Tips on how to use RAM Def

Using RAM Def detailed information


System requirements

Software requirements

RAM Def recognizes and supports most 32-bit Windows desktop operating systems including Windows 98, Windows ME, Windows NT 4.0, Windows 2000, and Windows XP.

Hardware requirements

at least a Pentium-class processor (or compatible)

8 MB RAM

200 KB free disk space

Additional requirements

Please note that a swap file of at least the size of RAM is recommended for optimal usage.


Using RAM Def

This section explains basic RAM Def usage. For more help choose a topic below:

Memory Info
Explains the information RAM Def shows, how it is gathered and updated.
Defragmenting
Shows how and when to perform a quick boost.
System tray support
Using the system tray support along with the warning level.
Options
All configuration options are explained here, and the way they affect your system.


Memory Info

RAM Def displays at all times in its main window information about your system's RAM and swap file. They are gathered by a call to the GlobalMemoryStatus() API function and refreshed constantly (by default at every 1.5 seconds, but you can change this in the Options dialog)

Available physical memory
Indicates the amount of physical memory available.

Used physical memory

Indicates the amount of physical memory used by running processes.

Total physical memory
Indicates the amount of physical memory installed in your system.

Available swap file

Indicates the number of MB / KB available in the paging file.

Used swap file

Indicates the total number of MB / KB that are currently stored in the paging file.

Total swap file

Indicates the total number of MB / KB that can be stored in the paging file. Note that this number may not represent the actual physical size of the paging file on disk.


Defragmenting

You can defragment at any given time by either

  • clicking "Start" in the main window, or

  • double-clicking the RAM Def icon in the system tray, (if RAM Def is currently minimized)

After RAM Def is finished defragmenting, the time it took to do this job will be displayed near the status text, under the memory information pane. This could take from 4 to 30 or more seconds, depending on your PC's speed and RAM fragmentation state.

To learn when to defragment, in order to achieve best performance, view the topic below:

Tips on how to use RAM Def


System tray support

While in the system tray, RAM Defrag will continue to monitor RAM usage, and if configured, will automatically start defragmenting if the available RAM falls below a certain level (usually 1/4 of installed RAM, but you can change this in the Options).

The tray icon can be displayed either as a bar graph, or with digits. There are three states the icon can represent, either "normal", "low resources" or "warning level" with different colors: green, yellow or red, respectively.

Here are some examples of such situations:

0 | 1 | Status
 |  | normal: percentage of available RAM is greater than 50%
 |  | low resources: available RAM has fallen below 50%
 |  | warning level: available RAM is below the warning level configured in the Options (by default 1/3)

While defragmenting, the graph and the line just below the digits will be completely gray.


Options

RAM Def can be configured using the Options dialog (click "Options" in the main window):

Refresh Interval
Choose between a 1.5 seconds or 2 seconds period of time that will have to pass before RAM Def updates memory information. You may specify a custom interval.

Warning Level

If available RAM falls below this level you will be visually warned.

Start with windows
If enabled RAM Def will open at system startup and minimize to tray, to monitor RAM usage and eventually defragment when needed.

Automatically defragment

If enabled, falling below the warning level will cause RAM Def to automatically defragment RAM

Conservative swap file usage

Notes for the impatient:

If you have more than 256MB of RAM enable it, otherwise leave it disabled.

Detailed information:

Windows 95 had this enabled by default, but since Windows 98, Microsoft thought it would be better to disable it. You will be your own judge, and here is the explanation.
If enabled, (like on Win95) Windows will only use the swap file after filling up your systems entire RAM. Data goes in RAM that is a whole lot faster than the hard drive, and afterwards to the hard drive.
If disabled, (like on Win98&ME) Windows will use both the swap file and RAM at the same time. Some stuff will go into the swap file and some stuff will go into RAM. More time will pass until your entire RAM is filled up.
Now, you may enable or disable it as you wish, regardless of your Operating System. But please note that for the setting to come into effect a reboot is required. If you have more than 256MB you may leave it on, otherwise disable it.

Tray icon

Choose between a graph-style icon, or the exact amount of free RAM. Either way, the graph/digits will be colored to show the current Status: normal / low / warning, with green / yellow / red respectively.


Tips

This section explains different ways of improving system performance while using RAM Def

Using RAM Def tips
Explains how to use RAM Def optimally
System settings tips
Provides insight on different settings that may improve system performance


Using RAM Def tips

There are several ways your system could benefit if using RAM Def depending on how you choose to use it.

Silent defragment
If you decided during setup to have icons created, one of them starts RAM Def in silent mode. It will automatically start-up and shut-down after it has finished defragmenting.

Users find this to be particularly useful before running a memory-intensive application, or a modern 3D game. Just double click the "RAM Def - silent" icon on your desktop or in the start menu.

Tray support

You may allow RAM Def to run in the system tray, while monitoring RAM usage. You can even set it to run with Windows and define a "warning level" at which either visual warnings will be provided or RAM Def will automatically start defragmenting. (see Options dialog for details).

Conservative swap file usage
It is rather an unique feature, and depending on your system configuration it may improve performance. It is available in the Options dialog.

When to defragment?

You will want to defragment if available RAM falls below the warning level. But there is another thing to it. Try to do this when the CPU is least used by running processes. Why? Simple, because the processor is responsible for moving data from/to RAM, hence take my advice and defragmenting will be a lot faster.


System settings tips

This is by no means intended to be a complete collection of performance improving tips, the Internet is packed with programs or files that either explain how to do just that, or even do it for you.

It is solely a small list of tips strongly related to RAM.

Swap file
We have found that a fixed-size swap file is actually faster than one administered by Windows. And the best values go beyond the size of your system's RAM, usually 1.25 - 1.5 times total RAM. For instance if you have 128MB of RAM a swap file of 192MB would be great. However, if the amount of installed RAM is greater than 256MB, it's probably best to leave the swap file to be automatically administered by Windows

Conservative swap file usage?

Can be configured using RAM Def and it is available in the Options dialog.

DMA
Direct memory access is a technology that allows data from IDE drives not to use the system's processor as a transit route. It WILL significantly improve system performance, however, some older drives do not support it.

If you want to tweak the last drop of performance, you may download such a tool, probably from the site where you got RAM Def in the first place (that is if you haven't downloaded it from the official web page). These should be the only things they cannot change, so you must do it yourself. If you are not a computer specialist, please consult Windows Documentation for more information.

For a such utilities and other software visit www.softnews.ro


Reference information

This section hosts miscellaneous information that could prove useful:

License Agreement
The legal agreement between the end-user and VSTEf research & development
Command - Line parameters
Command line parameters RAM Def accepts and the way it treats them
Glossary
A list of common terms used throughout the help files
Credits
People who contributed, and special notes about RAM Def development.


License Agreement

END-USER LICENSE AGREEMENT FOR VSTEf r&d software products

IMPORTANT READ CAREFULLY: This VSTEf r&d End-User License Agreement (EULA) is a legal agreement between you (either an individual or a single entity) and VSTEf r&d for the VSTEf r&d products which may include online or electronic documentation ("Software") provided in the VSTEf r&d product you have acquired. By installing, copying, or otherwise using the Software you agree to be bound by the terms of this EULA. If you do not agree to the terms of this Agreement, you are not authorized to use the Software.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights: VSTEf r&d grants to you the right to use copies of the Software only as part of the VSTEf r&d product that such Software was included.

2. RESTRICTIONS.

-- You must maintain all copyright notices on all copies of the Software.
-- You may not reverse engineer, decompile, or disassemble the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

3. TERMINATION. Your rights under this EULA terminate upon the termination of your VSTEf r&d product EULA, or without prejudice to any other rights, VSTEf r&d may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the Software.

4. COPYRIGHT. All title and copyrights in and to the Software and any copies thereof are owned by VSTEf research&development.

5. NO WARRANTY. Any use of the Software is at your own risk. The Software is provided for use only with the VSTEf r&d product in which you received it. To the maximum extent permitted by applicable law, VSTEf r&d and its suppliers disclaim all warranties and conditions, either express or implied, including, but not limited to, implied warranties of merchantability, fitness for a particular purpose, and noninfringement.

6. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by applicable law, in no event shall VSTEf r&d or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the Software, even if Dacris Software has been advised of the possibility of such damages. Because some jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.


Command - Line parameters

By default the RAM Def installer created icons either on the Desktop, in the Start menu or both. These are provided for quick access to features such as silent defragment or send to tray.

However, if you want to create such shortcuts by yourself, or choose not to have them created for you, here are the parameters accepted by RAM Def and their meaning:

Parameter | Meaning
-silent | Start RAM Def in silent mode
-tray | Automatically send to tray

Note: They are case sensitive and you must include the hyphen.


Glossary

This section explains some of the terms used by RAM Def:

RAM

random-access memory. Volatile memory that can be read and written by a microprocessor. This represents the physical memory of your system used by all applications and processes.

swap file

(or paging file) A mechanism through which Windows simulates the presence of extra RAM. Also referred to as Virtual Memory, it will be used under certain conditions, when actual physical RAM is not enough. The main disadvantage of this, is that since it is represented by an actual file on the hard-disk, it is extremely slow, in comparison with real RAM.


Credits

VSTEf r&d staff

Lead programmer: Stefan VRABIE

Quality Assurance Team representative: Andrei MIRON

Suggestions and BETA-testing:

Sorin "pstdgt" BRABETE (ever present and helpful)
Amir ADAR (thank you for being extremely realistic)
Wagner REATTO (for the most detailed feedback)

Alexander SUPRUN (original ideas and feedback)
Ben COLEMAN (promptly provided full details)
Andrei ZANOAGA (for support and advice)

Additional credits

Web hosting provided by http://www.softnews.ro
System tray icon digits based on code by John Fitzgibbon
Thanks to AMS Software for motivating our work.


Support

Should you require additional help:

Troubleshooting
Common errors and how to avoid them
Contact Information
If you still can't find your way, contact us.


Troubleshooting

  • RAM Def issues a "Cannot MEM_COMMIT / MEM_RESERVE" error mesage

  • This usually happens if you have disabled the swap file. As it is a crucial component of the defragmentation process, make sure it is enabled, and at least the size of your system's RAM.

  • Cannot install RAM Def...

  • Please exit any running copies of RAM Def (if any), uninstall any previous versions of RAM Def and try again...


Contact VSTEf r&d

Full service web-page: http://vstef.softnews.ro

Forum: http://vstef.softnews.ro/forum

Request support form: http://vstef.softnews.ro/supportform.php

Online Documentation: http://vstef.softnews.ro/Documentation/ramdefdoc.htm

Email support: vstef@softnews.ro